# Function filterJSONProperties

- filterJSONProperties<T, TContext>(defs, context, serializeMode): T

- Serializes an item and filters out properties based on the serializationMode flag that's provided.

  #### Type Parameters

  - T
  - TContext extends object = object

  #### Parameters

  - defs: PropertyDefs<T>

    The property definitions associated with the item's properties.

  - context: TContext

    The item being serialized.

  - serializeMode: SerializeMode

    The flag that determines how the item should be serialized.

  #### Returns T